# Workload Automation v2 for LAVA
#
# Copyright (C) 2015, Linaro Limited.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# Author: Naresh Kamboju <naresh.kamboju@linaro.org>
#

BUILD_TOOLS_URL=$1
WA_HOME_URL=$2

export PATH=$PATH:/usr/local/bin
# install SDK build-tools
echo "install SDK build-tools"
cd /usr/
pwd
# TODO: build-tools.tar.gz only accessible from Linaro LAVA lab
wget $BUILD_TOOLS_URL
tar -xvf build-tools.tar.gz
cd -

# clone workload-automation git repo
echo "clone workload-automation git repo from github"
git clone https://github.com/ARM-software/workload-automation.git
cd workload-automation
echo "python setup.py sdist"
python setup.py sdist
echo "sudo pip install dist/wlauto-*.tar.gz"
sudo pip install dist/wlauto-*.tar.gz

# install workloads dependencies bbench and APKs.
echo "install workloads bbench and APKs"
cd /root
id
cd; pwd
# TODO: workload_automation_home.tar.gz only accessible from Linaro LAVA lab
wget $WA_HOME_URL
tar -xvf workload_automation_home.tar.gz

# create folder for database results
mkdir -p /root/db_results/

# check wa install path
echo $PATH
which wa

exit 0
